﻿using System;

using System.Text;
using System.IO;
using System.Diagnostics;

namespace NetCoreStringVsStringBuilder {
	class Program {
		static void DoIt() {
			Stopwatch sw = Stopwatch.StartNew();

			string result = "";
			for (int i = 0; i < 50000; i++) {

				result += i.ToString();
				result += ", ";
			}

			sw.Stop();

			File.WriteAllText("Output.txt", result);

			Console.WriteLine("Time elapsed: {0}", sw.Elapsed);
		}

		static void Main(string[] args) {
			Console.WriteLine($"{Environment.Version} | {System.Runtime.InteropServices.RuntimeInformation.FrameworkDescription} | {System.Runtime.InteropServices.RuntimeInformation.OSDescription}");
			DoIt();
			StringBuilderBasedSolution.DoIt();
		}
	}

	class StringBuilderBasedSolution {
		public static void DoIt() {
			Stopwatch sw = Stopwatch.StartNew();

			StringBuilder sb = new StringBuilder();
			for (int i = 0; i < 50000; i++) {
				sb.Append(i);
				sb.Append(", ");
			}

			sw.Stop();

			string result = sb.ToString();
			File.WriteAllText("Output.txt", result);

			Console.WriteLine("Time elapsed: {0}", sw.Elapsed);
		}
	}
}
