﻿using System.Text;

namespace FluentSyntaxStringBuilder;

class Program {
	static string GetLinearEquationAsString_v1(int a, int b) {
		return a.ToString() + "x + " + b.ToString() + " = 0";
	}

	static string GetLinearEquationAsString_v2(int a, int b) {
		return a + "x + " + b + " = 0";
	}

	static string GetLinearEquationAsString_v3(int a, int b) => a + "x + " + b + " = 0";

	static string GetLinearEquationAsString_v4(int a, int b) {
		var sb = new StringBuilder();
		sb.Append(a.ToString());
		sb.Append("x + ");
		sb.Append(b.ToString());
		sb.Append(" = 0");
		return sb.ToString();
	}

	static string GetLinearEquationAsString_v5(int a, int b) {
		var sb = new StringBuilder();
		sb.Append(a);
		sb.Append("x + ");
		sb.Append(b);
		sb.Append(" = 0");
		return sb.ToString();
	}

	static string GetLinearEquationAsString_v6(int a, int b) {
		var sb = new StringBuilder();
		sb.Append(a).Append("x + ").Append(b).Append(" = 0");
		return sb.ToString();
	}

	static string GetLinearEquationAsString_v7(int a, int b)
		=> new StringBuilder().Append(a).Append("x + ").Append(b).Append(" = 0").ToString();

	static void Main(string[] args) {
		Console.WriteLine(GetLinearEquationAsString_v1(3, 5));
		Console.WriteLine(GetLinearEquationAsString_v2(3, 5));
		Console.WriteLine(GetLinearEquationAsString_v3(3, 5));
		Console.WriteLine(GetLinearEquationAsString_v4(3, 5));
		Console.WriteLine(GetLinearEquationAsString_v5(3, 5));
		Console.WriteLine(GetLinearEquationAsString_v6(3, 5));
		Console.WriteLine(GetLinearEquationAsString_v7(3, 5));
	}
}